# Class TChromiumFontOptions

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFChromiumFontOptions

## Declaration

`type TChromiumFontOptions = class(TPersistent)`

## Description

The TChromiumFontOptions properties are used to fill the TCefBrowserSettings record which is used during the browser creation.

## Hierarchy

- TObject
- TPersistent
- TChromiumFontOptions

## Overview

### Fields

| `FStandardFontFamily: ustring;`
| `FCursiveFontFamily: ustring;`
| `FSansSerifFontFamily: ustring;`
| `FMinimumLogicalFontSize: Integer;`
| `FFantasyFontFamily: ustring;`
| `FSerifFontFamily: ustring;`
| `FDefaultFixedFontSize: Integer;`
| `FDefaultFontSize: Integer;`
| `FRemoteFontsDisabled: TCefState;`
| `FFixedFontFamily: ustring;`
| `FMinimumFontSize: Integer;`

### Methods

| `constructor Create; virtual;`

### Properties

| `property StandardFontFamily : ustring read FStandardFontFamily write FStandardFontFamily;`
| `property FixedFontFamily : ustring read FFixedFontFamily write FFixedFontFamily;`
| `property SerifFontFamily : ustring read FSerifFontFamily write FSerifFontFamily;`
| `property SansSerifFontFamily : ustring read FSansSerifFontFamily write FSansSerifFontFamily;`
| `property CursiveFontFamily : ustring read FCursiveFontFamily write FCursiveFontFamily;`
| `property FantasyFontFamily : ustring read FFantasyFontFamily write FFantasyFontFamily;`
| `property DefaultFontSize : Integer read FDefaultFontSize write FDefaultFontSize default 0;`
| `property DefaultFixedFontSize : Integer read FDefaultFixedFontSize write FDefaultFixedFontSize default 0;`
| `property MinimumFontSize : Integer read FMinimumFontSize write FMinimumFontSize default 0;`
| `property MinimumLogicalFontSize : Integer read FMinimumLogicalFontSize write FMinimumLogicalFontSize default 0;`
| `property RemoteFonts : TCefState read FRemoteFontsDisabled write FRemoteFontsDisabled default STATE_DEFAULT;`

## Description

### Fields

| `FStandardFontFamily: ustring;`
This item has no description.

| `FCursiveFontFamily: ustring;`
This item has no description.

| `FSansSerifFontFamily: ustring;`
This item has no description.

| `FMinimumLogicalFontSize: Integer;`
This item has no description.

| `FFantasyFontFamily: ustring;`
This item has no description.

| `FSerifFontFamily: ustring;`
This item has no description.

| `FDefaultFixedFontSize: Integer;`
This item has no description.

| `FDefaultFontSize: Integer;`
This item has no description.

| `FRemoteFontsDisabled: TCefState;`
This item has no description.

| `FFixedFontFamily: ustring;`
This item has no description.

| `FMinimumFontSize: Integer;`
This item has no description.

### Methods

| `constructor Create; virtual;`
Constructor of TChromiumFontOptions

### Properties

| `property StandardFontFamily : ustring read FStandardFontFamily write FStandardFontFamily;`
Standard font family name.

| `property FixedFontFamily : ustring read FFixedFontFamily write FFixedFontFamily;`
Fixed font family name.

| `property SerifFontFamily : ustring read FSerifFontFamily write FSerifFontFamily;`
Serif font family name.

| `property SansSerifFontFamily : ustring read FSansSerifFontFamily write FSansSerifFontFamily;`
SansSerif font family name.

| `property CursiveFontFamily : ustring read FCursiveFontFamily write FCursiveFontFamily;`
Cursive font family name.

| `property FantasyFontFamily : ustring read FFantasyFontFamily write FFantasyFontFamily;`
Fantasy font family name.

| `property DefaultFontSize : Integer read FDefaultFontSize write FDefaultFontSize default 0;`
Default font size.

| `property DefaultFixedFontSize : Integer read FDefaultFixedFontSize write FDefaultFixedFontSize default 0;`
Default fixed font size.

| `property MinimumFontSize : Integer read FMinimumFontSize write FMinimumFontSize default 0;`
Minimum font size.

| `property MinimumLogicalFontSize : Integer read FMinimumLogicalFontSize write FMinimumLogicalFontSize default 0;`
Minimum logical font size.

| `property RemoteFonts : TCefState read FRemoteFontsDisabled write FRemoteFontsDisabled default STATE_DEFAULT;`
Controls the loading of fonts from remote sources. Also configurable using the "disable-remote-fonts" command-line switch.

Generated by PasDoc 0.16.0-snapshot.